Nota
Grupos y proyectos son términos sinónimos. Tu {PROJECT-ID} Es el mismo que el ID de tu proyecto. Para los grupos existentes, el ID de tu grupo/proyecto permanece igual. Esta página utiliza el término "grupo" para las descripciones. El punto final se mantiene como se indica en el documento.
This resource allows you to view Checkpoints metadata. You can use checkpoints to create custom snapshots of a cluster at points in time between regular snapshots.
Importante
You may use checkpoints for clusters that run MongoDB with Feature Compatibility Version of 4.0 or earlier. Checkpoints were removed from MongoDB instances with FCV of 4.2 or later.
Puntos finales
Obtener todos los puntos de control
Obtener todos los puntos de control de un clúster.
GET /groups/{PROJECT-ID}/clusters/CLUSTER-ID/checkpoints
Obtener un punto de control
Obtenga un único punto de control.
GET /groups/{PROJECT-ID}/clusters/CLUSTER-ID/checkpoints/CHECKPOINT-ID
Entidad de muestra
1 { 2 "clusterId" : "{CLUSTER-ID}", 3 "completed" : "2015-07-31T23:19:51Z", 4 "groupId" : "{GROUP-ID}", 5 "id" : "{CHECKPOINT-ID}", 6 "parts" : [ { 7 "replicaSetName" : "shard_1", 8 "shardName" : "shard_1", 9 "tokenDiscovered" : true, 10 "tokenTimestamp" : { 11 "date" : "2015-07-31T23:19:51Z", 12 "increment" : 1 13 }, 14 "typeName" : "REPLICA_SET" 15 }, { 16 "replicaSetName" : "shard_0", 17 "shardName" : "shard_0", 18 "tokenDiscovered" : true, 19 "tokenTimestamp" : { 20 "date" : "2015-07-31T23:19:51Z", 21 "increment" : 1 22 }, 23 "typeName" : "REPLICA_SET" 24 }, { 25 "hostId" : "{HOST-ID}", 26 "tokenDiscovered" : true, 27 "tokenTimestamp" : { 28 "date" : "2015-07-31T23:19:51Z", 29 "increment" : 6 30 }, 31 "typeName" : "CONFIG_SERVER" 32 } ], 33 "restorable" : true, 34 "started" : "2015-07-31T23:19:51Z", 35 "timestamp" : "2015-07-31T23:19:47Z" 36 }
Campos de entidad
Nombre | Tipo | Descripción |
|---|---|---|
| string | Identificador único del cluster representado por el punto de control. |
| string | Marca de tiempo en ISO 8601 date and time format in UTC for the point-in-time when the checkpoint completed and the balancer restarted. |
| string | Identificador único del grupo propietario del punto de control. |
| string | Identificador único del punto de control. |
| matriz de objetos | Partes individuales que componen el punto de control completo. Habrá un elemento para cada fragmento y un elemento para los servidores de configuración. |
parts.replicaSetName | string | Nombre del conjunto de réplicas. No está presente en un servidor de configuración. |
parts.shardName | string | Nombre del fragmento. |
parts.tokenDiscovered | Booleano | Bandera que indica si el token existe. |
parts.tokenTimestamp | Objeto | Marca de tiempo de una entrada en el registro de operaciones, según lo especificado por el campo de la |
parts.typeName | string | Tipo de servidor representado por la pieza. Los valores posibles son:
|
| Booleano | Bandera que indica si el punto de control se puede utilizar para una restauración. |
| string | |
| string | Timestamp in ISO 8601 date and time format in UTC for the point-in-time to which the checkpoint restores data. |
Enlaces
Relación | Descripción |
|---|---|
| Control |
| Clúster al que pertenece el punto de control. |
| Proyecto propietario del punto de control. |
Ejemplos
Obtener todos los puntos de control
Solicitud
curl --user "{PUBLIC-KEY}:{PRIVATE-KEY}" --digest \ --header "Accept: application/json" \ --include \ --request GET "https://<ops-manager-host>/api/public/v1.0/groups/{GROUP-ID}/clusters/{CLUSTER-ID}/checkpoints"
Respuesta
Encabezado de respuesta
401 Unauthorized Content-Type: application/json;charset=ISO-8859-1 Date: {dateInUnixFormat} WWW-Authenticate: Digest realm="MMS Public API", domain="", nonce="{nonce}", algorithm=MD5, op="auth", stale=false Content-Length: {requestLengthInBytes} Connection: keep-alive
200 OK Vary: Accept-Encoding Content-Type: application/json Strict-Transport-Security: max-age=300 Date: {dateInUnixFormat} Connection: keep-alive Content-Length: {requestLengthInBytes} X-MongoDB-Service-Version: gitHash={gitHash}; versionString={ApplicationVersion}
Cuerpo de respuesta
1 { 2 "links" : [], 3 "results" : [ { 4 "clusterId" : "{CLUSTER-ID}", 5 "completed" : "2015-07-31T23:35:52Z", 6 "groupId" : "{GROUP-ID}", 7 "id" : "55bc0658e4b097a3efe06f1f", 8 "links" : [], 9 "parts" : [ { 10 "replicaSetName" : "shard_1", 11 "shardName" : "shard_1", 12 "tokenDiscovered" : true, 13 "tokenTimestamp" : { 14 "date" : "2015-07-31T23:35:52Z", 15 "increment" : 1 16 }, 17 "typeName" : "REPLICA_SET" 18 }, { 19 "replicaSetName" : "shard_0", 20 "shardName" : "shard_0", 21 "tokenDiscovered" : true, 22 "tokenTimestamp" : { 23 "date" : "2015-07-31T23:35:52Z", 24 "increment" : 1 25 }, 26 "typeName" : "REPLICA_SET" 27 }, { 28 "hostId" : "{HOST-ID}", 29 "tokenDiscovered" : true, 30 "tokenTimestamp" : { 31 "date" : "2015-07-31T23:35:52Z", 32 "increment" : 2 33 }, 34 "typeName" : "CONFIG_SERVER" 35 } ], 36 "restorable" : true, 37 "started" : "2015-07-31T23:35:52Z", 38 "timestamp" : "2015-07-31T23:34:47Z" 39 }, 40 ... 41 ], 42 "totalCount" : 6 43 }
Obtener un punto de control
Solicitud
curl --user "{PUBLIC-KEY}:{PRIVATE-KEY}" --digest \ --header "Accept: application/json" \ --include \ --request GET "https://<ops-manager-host>/api/public/v1.0/groups/{GROUP-ID}/clusters/{CLUSTER-ID}/checkpoints/{CHECKPOINT-ID}"
Respuesta
Encabezado de respuesta
401 Unauthorized Content-Type: application/json;charset=ISO-8859-1 Date: {dateInUnixFormat} WWW-Authenticate: Digest realm="MMS Public API", domain="", nonce="{nonce}", algorithm=MD5, op="auth", stale=false Content-Length: {requestLengthInBytes} Connection: keep-alive
200 OK Vary: Accept-Encoding Content-Type: application/json Strict-Transport-Security: max-age=300 Date: {dateInUnixFormat} Connection: keep-alive Content-Length: {requestLengthInBytes} X-MongoDB-Service-Version: gitHash={gitHash}; versionString={ApplicationVersion}
Cuerpo de respuesta
1 { 2 "clusterId" : "{CLUSTER-ID}", 3 "completed" : "2015-07-31T23:19:51Z", 4 "groupId" : "{GROUP-ID}", 5 "id" : "{CHECKPOINT-ID}", 6 "links" : [], 7 "parts" : [ { 8 "replicaSetName" : "shard_1", 9 "shardName" : "shard_1", 10 "tokenDiscovered" : true, 11 "tokenTimestamp" : { 12 "date" : "2015-07-31T23:19:51Z", 13 "increment" : 1 14 }, 15 "typeName" : "REPLICA_SET" 16 }, { 17 "replicaSetName" : "shard_0", 18 "shardName" : "shard_0", 19 "tokenDiscovered" : true, 20 "tokenTimestamp" : { 21 "date" : "2015-07-31T23:19:51Z", 22 "increment" : 1 23 }, 24 "typeName" : "REPLICA_SET" 25 }, { 26 "hostId" : "{HOST-ID}", 27 "tokenDiscovered" : true, 28 "tokenTimestamp" : { 29 "date" : "2015-07-31T23:19:51Z", 30 "increment" : 6 31 }, 32 "typeName" : "CONFIG_SERVER" 33 } ], 34 "restorable" : true, 35 "started" : "2015-07-31T23:19:51Z", 36 "timestamp" : "2015-07-31T23:19:47Z" 37 }